ServerEvents.recipes(event => {
	event.shaped(
		Item.of('minecraft:enchanting_table',1), 
		[
			' B ',
			'DOD', 
			'OOO'
		],
		{
			D: 'tfc:gem/diamond',
			B: 'minecraft:book',
			O: 'minecraft:obsidian'
		}
	)
	event.shaped(
		Item.of('minecraft:grindstone',1), 
		[
			'SRS', 
			'P P'
		],
		{
			S: '#c:rods/wooden',
			R: '#c:stones/smooth',
			P: '#minecraft:planks'
		}
	)
	event.shaped(
		Item.of('minecraft:redstone_lamp',1), 
		[
			'RBR',
			'BGB',
			'RBR'
		],
		{
			B: 'tfc:metal/sheet/brass',
			R: 'minecraft:redstone',
			G: '#c:gems'
		}
	)
	event.shaped(
		Item.of('minecraft:anvil',1), 
		[
			'DDD',
			' I ',
			'III'
		],
		{
			D: 'tfc:metal/double_ingot/wrought_iron',
			I: 'tfc:metal/ingot/wrought_iron'
		}
	)
	event.shaped(
		Item.of("minecraft:cauldron",1), 
		[
			'W W',
			'W W',
			'WWW'
		],
		{
			W: 'tfc:metal/ingot/wrought_iron'
		}
	)
	event.shaped(
		Item.of('minecraft:bucket',1), 
		[
			'IBI',
			'IRI',
			' I '
		],
		{
			B: 'tfc:metal/bucket/blue_steel',
			R: 'tfc:metal/bucket/red_steel',
			I: 'tfc:metal/ingot/wrought_iron'
		}
	)
	event.shaped(
		Item.of('minecraft:experience_bottle',8), 
		[
			'GG',
			'GG'
		],
		{
			G:'#c:gems'
		}
	)
	event.shaped(
		Item.of('minecraft:lapis_lazuli',1), 
		[
			'EE'
		],
		{
			E:'minecraft:experience_bottle'
		}
	)
	event.shaped(
		Item.of("minecraft:ice",1), 
		[
			'EE',
			"EE"
		],
		{
			E:"firmalife:ice_shavings"
		}
	)
})